%define name	strace
%define version	4.5.15
%define	rel	2
%define release	%mkrel %{rel}
#define cvsdate	20050803

Summary:	Tracks and displays system calls associated with a running process
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Development/Kernel
URL:		http://www.liacs.nl/~wichert/strace/
Source0:	%{name}-%{version}%{?cvsdate:-%{cvsdate}}.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		strace-newsysc.patch
Patch1:		strace-getdents64.patch
Patch2:		strace-kernel26_userspace.patch
Patch3:		strace-stat64.patch
Patch4:		strace-sparc64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%setup -q
%patch0 -p1 -b .newsysc
%patch1 -p1 -b .getdents64
%patch2 -p1 -b .kernel26
%patch3 -p1 -b .stat64
%patch4 -p1 -b .sparc64

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# remove unpackaged files
rm -f %{buildroot}%{_bindir}/strace-graph

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT README* CREDITS ChangeLog INSTALL NEWS PORTING TODO
%{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/strace
%{_mandir}/man1/strace.1*




%changelog
* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.15-2mdv2008.0
+ Revision: 29893
- small completion fix


* Thu Jan 25 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.5.15-1mdv2007.0
+ Revision: 113407
- new release: 4.5.15

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.14-3mdv2007.1
+ Revision: 108816
- uncompress all patches
- add bash completion
- Import strace

* Sat Jun 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.5.14-2mdv2007.0
- add fixes from PLD, will now build on sparc64 :)

* Tue Jan 17 2006 Stefan van der Eijk <stefan@eijk.nu> 4.5.14-1mdk
- 4.5.14

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.5.13-1mdk
- 4.5.13:
  * better x86_64 support for ia32 processes
  * better printing for linux aoi syscalls
  * update ppc syscalls
  * other bug fixes: statfs64, socket options (setsockopt, ipv6, 64-bit), etc.

* Sun Apr 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.5.11-1mdk
- 4.5.11
- %%mrel

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.5.8-1mdk
- 4.5.8
- fix summary-ended-with-dot

* Tue Jun 29 2004 Stefan van der Eijk <stefan@mandrake.org> 4.5.5-1mdk
- 4.5.5

* Wed Apr 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-1mdk
- new release

